%global pypi_name          pkgconfig
%global pypi_version       1.5.5
%global python_version_min 3.6


Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Interface Python with pkg-config

License:        MIT
URL:            https://github.com/matze/pkgconfig
Source0:        https://files.pythonhosted.org/packages/source/%(c=%{pypi_name}; echo ${c:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_version}dist(setuptools)

%global _description %{expand:
pkgconfig is a Python module to interface with the pkg-config command line
tool and supports Python 2.6+.

It can be used to
 * check if a package exists
 * check if a package meets certain version requirements
 * query CFLAGS and LDFLAGS
 * parse the output to build extensions with setup.py

If pkg-config is not on the path, raises EnvironmentError.}

%description %_description

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Apr 19 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 1.5.5-1
- Initial package.
